#
# spec file for package udhcp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           udhcp
Version:        0.9.8
Release:        lp152.4.5
Summary:        Micro DHCP client / server
License:        GPL-2.0
Group:          System/Emulators/PC
Url:            http://udhcp.busybox.net
Source0:        %{name}-%{version}.tar.gz
Patch0:         oracle-rpmbuild-makefile-changes.patch
Patch1:         %{name}_usermac.patch
Patch2:         %{name}-outputpy.patch
Patch3:         %{name}-update-scripts.patch
# PATCH-FIX-UPSTREAM: do not strip binaries (bnc#890844)
Patch4:         udhcp-do-not-strip.patch
Patch5:         ifconfig_path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Udhcp is a small dhcp client / server mainly used to support Xen
para-virtualized PXE booting.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
make %{?_smp_mflags}

%install
%make_install SBINDIR=%{buildroot}/%{_sbindir}
pushd %{buildroot}/%{_mandir}
find . -type f -exec chmod -x {} \;
popd
#UsrMerge
mkdir %{buildroot}/sbin
ln -s %{_sbindir}/udhcpc %{buildroot}/sbin
#EndUsrMerge

%files
%defattr(-,root,root)
#UsrMerge
/sbin/*
#EndUsrMerge
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*
%dir %{_datadir}/udhcpc
%{_datadir}/udhcpc/*

%changelog
* Sat Jan 20 2018 sleep_walker@opensuse.org
- ifconfig_path.patch - adjust absolute path to ifconfig
* Thu Jan 21 2016 tchvatal@suse.com
- Cleanup a bit with spec-cleaner
- Obey rpmoptflags
- Build debug packages bnc#890844
  * udhcp-do-not-strip.patch
* Wed Nov 19 2014 ledest@gmail.com
- fix bashism in outputpy.udhcp.sh script
- update patches:
  * udhcp-outputpy.patch
* Thu Apr 26 2012 rschweikert@suse.com
- place binary in /usr tree (UsrMerge project)
* Sun Oct 18 2009 chris@computersalat.de
- cleanup spec
  o added norootforbuild
  o sorted TAGS
  o use of macros
  o removed changes from spec
- rpmlint
  o dir {_datadir}/udhcpc
* Mon Nov 10 2008 xwhu@suse.de
- update scripts from upstream [bnc#441487]
* Fri Sep  5 2008 carnold@novell.com
- Initial checkin of udhcp to support PV PXE Booting.
